From c3723a132f5c45adb765301b7854ca6b4b6ce82c Mon Sep 17 00:00:00 2001
From: Kirill Dubovitskiy <kirill2003de@gmail.com>
Date: Sun, 6 Aug 2023 18:49:50 -0700
Subject: Added a task to install all dependencies from top level without
 having to figure out commands in multiple sub projects. Developers should run
 this before the first debugging session and anytime they pull

---
 continuedev/install-dependencies.sh | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100755 continuedev/install-dependencies.sh

(limited to 'continuedev/install-dependencies.sh')

diff --git a/continuedev/install-dependencies.sh b/continuedev/install-dependencies.sh
new file mode 100755
index 00000000..8f1b5d27
--- /dev/null
+++ b/continuedev/install-dependencies.sh
@@ -0,0 +1,16 @@
+
+#!/bin/bash
+
+# Check if Poetry is installed
+if ! command -v poetry &> /dev/null
+then
+    echo "Poetry not found, installing..."
+    curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+# Install or update dependencies & create .venv if it doesn't exist
+echo "Installing dependencies..."
+poetry install
+
+echo "Running type generation..."
+poetry run typegen
-- 
cgit v1.2.3-70-g09d2